> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Change password

> Change user password



## OpenAPI

````yaml put /v1/users/{id}/password
openapi: 3.0.0
info:
  title: Users API
  version: 1.0.0
  description: API for user management and authentication
servers: []
security:
  - bearerAuth: []
tags:
  - name: Registration
    description: User registration operations
  - name: Users
    description: User management operations
  - name: Credentials
    description: Credential management operations
  - name: Password
    description: Password management operations
paths:
  /v1/users/{id}/password:
    put:
      tags:
        - Password
      summary: Change password
      description: Change user password
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: bd14ded5-48cd-49c2-8882-f29f0f7655c6
      responses:
        '200':
          description: Password changed successfully
        '400':
          $ref: '#/components/responses/ValidationError'
components:
  responses:
    ValidationError:
      description: Invalid input data
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: users.invalid_user_input
            message: Invalid user input data
  schemas:
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````